Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.web
Class NeoServletContainer

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.sun.jersey.spi.container.servlet.ServletContainer
                  org.neo4j.server.web.NeoServletContainer

All Implemented Interfaces:
  Serializable, javax.servlet.Filter, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class NeoServletContainer

extends com.sun.jersey.spi.container.servlet.ServletContainer

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jersey.spi.container.servlet.ServletContainer
`com.sun.jersey.spi.container.servlet.ServletContainer.ContextInjectableProvider<T>`

Field Summary

Fields inherited from class com.sun.jersey.spi.container.servlet.ServletContainer
`APPLICATION_CONFIG_CLASS, FEATURE_FILTER_FORWARD_ON_404, JSP_TEMPLATES_BASE_PATH, PROPERTY_WEB_PAGE_CONTENT_REGEX, RESOURCE_CONFIG_CLASS`

Constructor Summary
`NeoServletContainer(NeoServer server, Collection<Injectable<?>> injectables)`

Method Summary
`protected void` | `configure(com.sun.jersey.spi.container.servlet.WebConfig wc, com.sun.jersey.api.core.ResourceConfig rc, com.sun.jersey.spi.container.WebApplication wa)`

Methods inherited from class com.sun.jersey.spi.container.servlet.ServletContainer
`configure, configure, create, destroy, doFilter, doFilter, getDefaultResourceConfig, getDefaultResourceConfig, getServletContext, getStaticContentPattern, getWebConfig, init, init, init, initiate, load, reload, service, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeoServletContainer

    public NeoServletContainer(NeoServer server,
                               Collection<Injectable<?>> injectables)

Method Detail

### configure

    protected void configure(com.sun.jersey.spi.container.servlet.WebConfig wc,
                             com.sun.jersey.api.core.ResourceConfig rc,
                             com.sun.jersey.spi.container.WebApplication wa)

  Overrides:
    `configure` in class `com.sun.jersey.spi.container.servlet.ServletContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.